Bug 152947 - Application (gedit and xterm) hangs when choose iiimf
Application (gedit and xterm) hangs when choose iiimf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks: IIIMF 164356
  Show dependency treegraph
 
Reported: 2005-03-31 01:46 EST by gideonso
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 08:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gideonso 2005-03-31 01:46:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
I am using zh_TW.UTF-8 locale. If you choose iiimf as default input method. You can not start any single application. The typical ones are gedit and xterm. If you choose xcin as default input, every application come up normal but you can not bring up any input method with pressing ctrl-space.

Version-Release number of selected component (if applicable):
iiimf-server-12.1.1-10.svn2390

How reproducible:
Always

Steps to Reproduce:
A.
1. choose iiimf as default input method
2. logout x-windows
3. login again
4. try to start gedit or xterm

B. 
1. choose xcin as default input method
2. logout x-windows
3. login again
4. start x-term
5. right click  on xterm then switch to iiimf

Actual Results:  application hangs

Expected Results:  application hangs

Additional info:

Seems that only happen with zh_CN.UTF-8 and zh_TW.UTF-8
Comment 1 Akira TAGOH 2005-04-01 05:34:10 EST
Well, when you run gedit, which immodule are chosen? I mean right click->Input
Method menu->???
I just want to clarify if this problem is XIM-specific issue or..
Anyway, if it points out XIM, does it still happen when you change it to
'Internet/Intranet Input Method'?
Comment 2 gideonso 2005-04-01 07:13:22 EST
1. run gedit
2. right click -> input method menu ->? Internet/Intranet Input Method
3. hangs 

Just tried again and confirmed the above procedure will reproduce the situation.
Comment 3 gideonso 2005-04-01 07:15:07 EST
Oh. When gedit first start. XIM is chosen.
Comment 4 Akira TAGOH 2005-04-04 02:58:47 EDT
Sorry, To clarify, Comment #2 is correct, right?
Comment 5 gideonso 2005-04-04 03:42:56 EDT
Yes. Follow the steps. The gedit hangs.
Comment 6 Akira TAGOH 2005-04-04 04:40:06 EDT
Well, I just re-read your description of this problem and "but you can not bring
up any input method with pressing ctrl-space.". it's because of iiimf-le-xcin
and iiimf-le-chinput needs to be updated to be installed on the correct path -
newer IIIMF packages are now installed under /usr/lib/iiim which is different
path than older one. so you couldn't activate/use IM with Chinese locale. I
could reproduce it but the applications didn't freeze. I can basically input
ASCII after even pressing ctrl+space and can close the applications without kill
-9 etc.
So in your case, you can't exit the application and had to do kill -9 or so, right?
Comment 7 gideonso 2005-04-04 06:23:10 EDT
Yes. have to do kill -9. And How can I re-initail the xcin  input ??? What is
the old path??
Comment 8 gideonso 2005-04-04 07:18:39 EDT
Can this help??

[gideon@gideon ~]$ gedit
[gideon@gideon ~]$ *** glibc detected *** /usr/bin/gedit: double free or
corruption (fasttop): 0x0000000000926840 ***
======= Backtrace: =========
/lib64/tls/libc.so.6[0x310d769a0e]
/lib64/tls/libc.so.6(__libc_free+0x6e)[0x310d769f3e]
/usr/lib64/libiiimp.so.0(iiimp_aux_value_delete+0x1a)[0x2aaaaf5f8b62]
/usr/lib64/libiiimcf.so.2[0x2aaaaf4ba18c]
/usr/lib64/libiiimcf.so.2(iiimcf_create_handle+0x102)[0x2aaaaf4ba52e]
/usr/lib64/gtk-2.0/2.4.0/immodules/im-iiim.so[0x2aaaaf38499a]
/usr/lib64/gtk-2.0/2.4.0/immodules/im-iiim.so[0x2aaaaf38666c]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111afc878]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111afc9b1]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111afca71]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_im_context_get_preedit_string+0x95)[0x3111afaa85]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111ba1bcc]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110)[0x311040a600]
/usr/lib64/libgobject-2.0.so.0[0x311041b873]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x6dc)[0x311041c9dc]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x16d)[0x311041d47d]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110)[0x311040a600]
/usr/lib64/libgobject-2.0.so.0[0x311041b873]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x6dc)[0x311041c9dc]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x311041cd93]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_widget_activate+0x6a)[0x3111beed3a]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0xae)[0x3111b2478e]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111b24aaa]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111b16453]
/usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110)[0x311040a600]
/usr/lib64/libgobject-2.0.so.0[0x311041b4d9]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x419)[0x311041c719]
/usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83)[0x311041cd93]
/usr/lib64/libgtk-x11-2.0.so.0[0x3111beef25]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_propagate_event+0xbb)[0x3111b147cb]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x34e)[0x3111b14c2e]
/usr/lib64/libgdk-x11-2.0.so.0[0x311164435c]
/usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1ed)[0x310fe26b8d]
/usr/lib64/libglib-2.0.so.0[0x310fe29d2f]
/usr/lib64/libglib-2.0.so.0(g_main_loop_run+0x18a)[0x310fe29fda]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa0)[0x3111b14030]
/usr/bin/gedit(main+0x189)[0x41e406]
/lib64/tls/libc.so.6(__libc_start_main+0xdc)[0x310d71c47c]
/usr/bin/gedit[0x41d55a]
======= Memory map: ========
00400000-00466000 r-xp 00000000 fd:00 4017690                           
/usr/bin/gedit
00565000-00578000 rw-p 00065000 fd:00 4017690                           
/usr/bin/gedit
00578000-00938000 rw-p 00578000 00:00 0                                  [heap]
310d500000-310d519000 r-xp 00000000 fd:00 6602806                       
/lib64/ld-2.3.4.so
310d619000-310d61a000 r--p 00019000 fd:00 6602806                       
/lib64/ld-2.3.4.so
310d61a000-310d61b000 rw-p 0001a000 fd:00 6602806                       
/lib64/ld-2.3.4.so
310d700000-310d829000 r-xp 00000000 fd:00 6602973                       
/lib64/tls/libc-2.3.4.so
310d829000-310d928000 ---p 00129000 fd:00 6602973                       
/lib64/tls/libc-2.3.4.so
310d928000-310d92c000 r--p 00128000 fd:00 6602973                       
/lib64/tls/libc-2.3.4.so
310d92c000-310d92e000 rw-p 0012c000 fd:00 6602973                       
/lib64/tls/libc-2.3.4.so
310d92e000-310d932000 rw-p 310d92e000 00:00 0
310da00000-310da84000 r-xp 00000000 fd:00 6602974                       
/lib64/tls/libm-2.3.4.so
310da84000-310db83000 ---p 00084000 fd:00 6602974                       
/lib64/tls/libm-2.3.4.so
310db83000-310db84000 r--p 00083000 fd:00 6602974                       
/lib64/tls/libm-2.3.4.so
310db84000-310db85000 rw-p 00084000 fd:00 6602974                       
/lib64/tls/libm-2.3.4.so
310dc00000-310dc02000 r-xp 00000000 fd:00 6602975                       
/lib64/libdl-2.3.4.so
310dc02000-310dd02000 ---p 00002000 fd:00 6602975                       
/lib64/libdl-2.3.4.so
310dd02000-310dd03000 r--p 00002000 fd:00 6602975                       
/lib64/libdl-2.3.4.so
310dd03000-310dd04000 rw-p 00003000 fd:00 6602975                       
/lib64/libdl-2.3.4.so
310de00000-310de14000 r-xp 00000000 fd:00 4017045                       
/usr/lib64/libz.so.1.2.2.2
310de14000-310df14000 ---p 00014000 fd:00 4017045                       
/usr/lib64/libz.so.1.2.2.2
310df14000-310df15000 rw-p 00014000 fd:00 4017045                       
/usr/lib64/libz.so.1.2.2.2
310e000000-310e0da000 r-xp 00000000 fd:00 4017062                       
/usr/X11R6/lib64/libX11.so.6.2
310e0da000-310e1d9000 ---p 000da000 fd:00 4017062                       
/usr/X11R6/lib64/libX11.so.6.2
310e1d9000-310e1df000 rw-p 000d9000 fd:00 4017062                       
/usr/X11R6/lib64/libX11.so.6.2
310e200000-310e210000 r-xp 00000000 fd:00 4017063                       
/usr/X11R6/lib64/libXext.so.6.4
310e210000-310e310000 ---p 00010000 fd:00 4017063                       
/usr/X11R6/lib64/libXext.so.6.4
310e310000-310e311000 rw-p 00010000 fd:00 4017063                       
/usr/X11R6/lib64/libXext.so.6.4
310e400000-310e410000 r-xp 00000000 fd:00 6602976                       
/lib64/tls/libpthread-2.3.4.so
310e410000-310e50f000 ---p 00010000 fd:00 6602976                       
/lib64/tls/libpthread-2.3.4.so
310e50f000-310e510000 r--p 0000f000 fd:00 6602976                       
/lib64/tls/libpthread-2.3.4.so
310e510000-310e511000 rw-p 00010000 fd:00 6602976                       
/lib64/tls/libpthread-2.3.4.so
310e511000-310e515000 rw-p 310e511000 00:00 0
310e600000-310e621000 r-xp 00000000 fd:00 4017065                       
/usr/lib64/libexpat.so.0.5.0
310e621000-310e720000 ---p 00021000 fd:00 4017065                       
/usr/lib64/libexpat.so.0.5.0
310e720000-310e723000 rw-p 00020000 fd:00 4017065                       
/usr/lib64/libexpat.so.0.5.0
310e800000-310e87f000 r-xp 00000000 fd:00 4017046                       
/usr/lib64/libfreetype.so.6.3.7
310e87f000-310e97f000 ---p 0007f000 fd:00 4017046                       
/usr/lib64/libfreetype.so.6.3.7
310e97f000-310e98c000 rw-p 0007f000 fd:00 4017046                       
/usr/lib64/libfreetype.so.6.3.7
310ea00000-310ea2d000 r-xp 00000000 fd:00 4017068                       
/usr/lib64/libfontconfig.so.1.0.4
310ea2d000-310eb2d000 ---p 0002d000 fd:00 4017068                       
/usr/lib64/libfontconfig.so.1.0.4
310eb2d000-310eb32000 rw-p 0002d000 fd:00 4017068                       
/usr/lib64/li

Comment 9 Akira TAGOH 2005-04-05 06:29:35 EDT
Comment #7:
the old path means /usr/lib/im.
Can you still reproduce this on the latest IIIMF 12.1.1-11.svn2435?
Comment 10 gideonso 2005-04-06 03:16:20 EDT
Very sorry to say, Yes.
Comment 11 Akira TAGOH 2005-04-06 13:08:26 EDT
Can you give me for more info, please? I mean the result of below:
$ rpm -qa | grep iiimf
$ cat /etc/iiim/le.xml.conf

Also, is it still reproducible when you even do service iiim restart manually?
Comment 12 Akira TAGOH 2005-04-06 13:10:12 EDT
Also, how about after logout and login again?
Comment 13 gideonso 2005-04-07 01:18:18 EDT
[root@localhost ~]# rpm -qa | grep iiimf
iiimf-server-12.1.1-11.svn2435
iiimf-le-chinput-0.3-17
iiimf-gtk-12.1.1-11.svn2435
iiimf-gnome-im-switcher-12.1.1-11.svn2435
iiimf-docs-12.1.1-11.svn2435
iiimf-le-xcin-0.1.10-1
iiimf-x-12.1.1-11.svn2435
iiimf-libs-12.1.1-11.svn2435


[root@localhost ~]# cat /etc/iiim/le.xml.conf
<?xml version="1.0" encoding="UTF-8"?>
<iiimf><LanguageEngines><LanguageEngine lang="am_ET"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="ar"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="bn_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="el_GR"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="en"><module path="/usr/lib64/iiim/le/default/default.so"/><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="gu_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="he"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="hi_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="ja"><module
path="/usr/lib/iiim/le/CannaLE/CannaLE.so"/></LanguageEngine><LanguageEngine
lang="kn_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="ko"><module path="/usr/lib/iiim/le/hangul/hangul.so"/><module
path="/usr/lib/iiim/le/kole/kole.so"/></LanguageEngine><LanguageEngine
lang="ml_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="pa_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="ru_RU"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="ta_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="te_IN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="th_TH"><module
path="/usr/lib/iiim/le/thaile/thaile.so"/></LanguageEngine><LanguageEngine
lang="ti_ER"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="vi_VN"><module
path="/usr/lib/iiim/le/unitle/unitle.so"/></LanguageEngine><LanguageEngine
lang="zh_CN"><module path="/usr/lib/iiim/le/inpinyin/inpinyin.so"/><module
path="/usr/lib/iiim/le/cle/cle.so"/><module
path="/usr/lib/iiim/le/newpy/newpy.so"/></LanguageEngine><LanguageEngine
lang="zh_HK"><module
path="/usr/lib/iiim/le/hkle/hkle.so"/></LanguageEngine><LanguageEngine
lang="zh_TW"><module path="/usr/lib/iiim/le/xcin/xcin.so"/><module
path="/usr/lib/iiim/le/twle/twle.so"/></LanguageEngine></LanguageEngines></iiimf>
Comment 14 gideonso 2005-04-07 01:28:43 EDT
Okay. I just re-install the whole thing and now no more application hangs but I
can activate iiimf When I do this: service iiim start. It shows ok but iiimd not
started.
Comment 15 Akira TAGOH 2005-04-07 03:00:28 EDT
Comment #15:
Well, I just wonder if you may use both of 32/64bit LEs and server. so how about
the result of rpm -qa --queryformat "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" |
grep iiimf ?

Comment #16:
did you got any logs in /var/log/messages? or how about run iiimd -d on the
terminal?
Comment 16 gideonso 2005-04-11 09:34:41 EDT
I re-install and update some of the packages. Now iiimf makes gnome-terminal and
gedit hangs again. The same situation as I first mention here. 

 rpm -qa --queryformat "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" |grep iiimf

iiimf-x-12.1.1-12.svn2435.x86_64
iiimf-le-xcin-0.1.10-1.x86_64
iiimf-libs-12.1.1-12.svn2435.x86_64
iiimf-gtk-12.1.1-12.svn2435.x86_64
iiimf-server-12.1.1-12.svn2435.x86_64

Now. when I start by service iiim start. It seems okay now but if I choose iiimf
in terminal. It just hangs.

Gideon
Comment 17 Akira TAGOH 2005-04-12 22:54:17 EDT
Should be fixed in 12.1.1-13.svn2469. please confirm.
Comment 18 gideonso 2005-04-13 03:59:13 EDT
Can't find the said package yet.
Comment 19 gideonso 2005-04-13 23:16:46 EDT
Okay. Good news for you. I confirm that it's fixed in 12.1.1-13.svn2469. Thanks
for your effort.

Note You need to log in before you can comment on or make changes to this bug.